return {
    "neovim/nvim-lspconfig",
    event = "LazyFile",
    dependencies = {
        "mason.nvim",
        { "williamboman/mason-lspconfig.nvim", config = function() end },
    },
    opts = {
        servers = {
            -- Ensure mason installs the server
            clangd = {
                cmd = {
                    "clangd",
                    "--background-index",
                    "--header-insertion=never",
                    "--all-scopes-completion",
                    "-j=4",
                    "--pch-storage=memory",
                    "--compile-commands-dir=build",
                    "--clang-tidy",
                    "--background-index",
                    "--header-insertion=iwyu",
                    "--completion-style=detailed",
                    "--function-arg-placeholders",
                    "--fallback-style=llvm",
                },
            },
        },
    },
}
